function varargout = Prey_Predator(varargin)
% PREY_PREDATOR M-file for Prey_Predator.fig
%      PREY_PREDATOR, by itself, creates a new PREY_PREDATOR or raises the existing
%      singleton*.
%
%      H = PREY_PREDATOR returns the handle to a new PREY_PREDATOR or the handle to
%      the existing singleton*.
%
%      PREY_PREDATOR('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in PREY_PREDATOR.M with the given input arguments.
%
%      PREY_PREDATOR('Property','Value',...) creates a new PREY_PREDATOR or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before Prey_Predator_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to Prey_Predator_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help Prey_Predator

% Last Modified by GUIDE v2.5 02-Oct-2010 18:21:14

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @Prey_Predator_OpeningFcn, ...
                   'gui_OutputFcn',  @Prey_Predator_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before Prey_Predator is made visible.
function Prey_Predator_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to Prey_Predator (see VARARGIN)

% Choose default command line output for Prey_Predator
handles.output = hObject;



% UIWAIT makes Prey_Predator wait for user response (see UIRESUME)
% uiwait(handles.figure1);

a=4.0;
b=0.02;
p=0.9;
q=0.001;

prey=900;
pred=100;
spcI=200;
spcII=100;

handles.a=a;
handles.b=b;
handles.p=p;
handles.q=q;
handles.prey=prey;
handles.pred=pred;
handles.spcI=spcI;
handles.spcII=spcII;

set(handles.edit_a,'String',num2str(a));
set(handles.edit_b,'String',num2str(b));
set(handles.edit_p,'String',num2str(p));
set(handles.edit_q,'String',num2str(q));

set(handles.editI,'String',int2str(prey));
set(handles.editII,'String',int2str(pred));

set(handles.preyPredatorModelRadio,'Value',1);
set(handles.unfilledRadio,'Value',1);
set(handles.multipleradio,'Value',1);

set(handles.editminprey,'enable','off');
set(handles.editmaxprey,'enable','off');
set(handles.editminpred,'enable','off');
set(handles.editmaxpred,'enable','off');

handles.modelFlag=1;
handles.styleFlag=2;
handles.numFlag=2;
% Update handles structure
guidata(hObject, handles);

% --- Outputs from this function are returned to the command line.
function varargout = Prey_Predator_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
guidata(hObject,handles);
if get(handles.singleradio,'Value')==1
    set(handles.editminprey,'Enable','on');
    set(handles.editmaxprey,'Enable','on');
    set(handles.editminpred,'Enable','on');
    set(handles.editmaxpred,'Enable','on');
    
    set(handles.filledRadio,'Enable','off');
    set(handles.unfilledRadio,'Enable','off');
else
    set(handles.filledRadio,'Enable','on');
    set(handles.unfilledRadio,'Enable','on');
end;

if handles.modelFlag==1
    preyPredatorModel(handles);
    preyPredatorModelXtYt(handles);
elseif handles.modelFlag==2
    set(handles.editminprey,'Enable','off');
    set(handles.editmaxprey,'Enable','off');
    set(handles.editminpred,'Enable','off');
    set(handles.editmaxpred,'Enable','off');
    competitionModel(handles);
    competitionModelXtYt(handles);
end


function preyPredatorModel(handles)

a=handles.a;
b=handles.b;
p=handles.p;
q=handles.q;
x0=handles.prey;
y0=handles.pred;
x=linspace(50,5000,100); 
y=linspace(20,500,100);
cnst=a*log(y0)-b*y0+p*log(x0)-q*x0;

[X Y]=meshgrid(x,y);
Z=a*log(Y)-b*Y+p*log(X)-q*X-cnst;        %-cnst;
%h=axes(handles.axes1);
if handles.styleFlag==1 && handles.numFlag==2
    [C,h]=contourf(handles.axes1,X,Y,Z,5,'LineWidth',1);
    clabel(C,h);
elseif handles.styleFlag==2 && handles.numFlag==2   
    [C,h]=contour(handles.axes1,X,Y,Z,5,'LineWidth',1);
    clabel(C,h);
end;
if handles.numFlag==1 && handles.modelFlag==1
    opts=odeset('Refine',10);
    [t,y1]=ode45(@solve2ODEsPreyPred,[0.0 4],[handles.prey handles.pred],opts,a,b,p,q);
    [miny1 maxy1 miny2 maxy2]=minMax(y1);
    plot(handles.axes1,y1(:,1),y1(:,2),'LineWidth',1.0);
    set(handles.editminprey,'string',num2str(round(miny1)));
    set(handles.editmaxprey,'string',num2str(round(maxy1)));
    set(handles.editminpred,'string',num2str(round(miny2)));
    set(handles.editmaxpred,'string',num2str(round(maxy2)));
   
   %axis(handles.axes1,[50 5000 20 600]);
end
   title(handles.axes1, 'Prey vs Predator','FontSize',12,'Color','b');
   xlabel(handles.axes1,'Prey(Rabbits)','Color','r','FontWeight','bold','FontSize',10);
   ylabel(handles.axes1,'Predator(Foxes)','Color','r','FontWeight','bold','FontSize',10);
   set(handles.axes1,'Color','w');   


function preyPredatorModelXtYt(handles)
    a=handles.a;
    b=handles.b;
    p=handles.p;
    q=handles.q;
    
    %[t,y]=ode45(@(t,y) solve2ODEsPreyPred(t,y,a,b,p,q),[0.0 10.0],[handles.prey handles.pred]);    
    [t,y]=ode45(@solve2ODEsPreyPred,[0.0 15.0],[handles.prey handles.pred],[],a,b,p,q); 
    axes(handles.axes2);   
    plot(handles.axes2,t,y,'LineWidth',1.5),title( 'Time vs prey and Predator','FontSize',12,'Color','b'),...
                   xlabel('Time','Color','r','FontWeight','bold','FontSize',10),...                               
                   ylabel('Predator and Prey','Color','r','FontWeight','bold','FontSize',10),...                                 
                   set(gca,'Color','w');    
                   legend('Rabbits','Foxes'); %,'Location','NorthEastOutside');  
    
                                    
function competitionModelXtYt(handles)
    a=handles.a;
    b=handles.b;
    p=handles.p;
    q=handles.q;
    f=@solve2ODEsCompetition; %,[0.1 2],[handles.spcI handles.spcII]); 
        %@(t,y) solve2ODEsCompetition(t,y,a,b,p,q),[0.1 2],[handles.spcI handles.spcII]);
%     opts=odeset('Refine',10);
    [t,y]=ode45(f,[0.1 2],[handles.spcI handles.spcII],[],a,b,p,q);
    axes(handles.axes2);   
    plot(handles.axes2,t,y(:,1),t,y(:,2),'LineWidth',1.5),title( 'X(t) & y(t)','FontSize',12,'Color','b'),...
                   xlabel('Time','Color','r','FontWeight','bold','FontSize',10),...                               
                   ylabel('Specie I & Specie II','Color','r','FontWeight','bold','FontSize',10),...
                   set(handles.axes2,'Color','w')    
                   legend('Specie I','Specie II'); 
    
                              
function fdot = solve2ODEsPreyPred(t,y,a,b,p,q)
    fdot=zeros(2,1);
    fdot(1)=a.*y(1)-b.*y(1).*y(2);
    fdot(2)=-p.*y(2)+q.*y(1).*y(2);
   

function fdot = solve2ODEsCompetition(t,y,a,b,p,q)    
    xdot=a.*y(1)-b.*y(1).*y(2);
    ydot=p.*y(2)-q.*y(1).*y(2);
    fdot=[xdot;ydot];
    
function [minprey maxprey minpred maxpred]= minMax(y)
    minprey=min(y(:,1));
    maxprey=max(y(:,1));
    minpred=min(y(:,2));
    maxpred=max(y(:,2));    
    
function competitionModel(handles)
a=handles.a;
b=handles.b;
p=handles.p;
q=handles.q;
x0=handles.prey;
y0=handles.pred;
% set(handles.textPreyI,'String','Specie I ');
% set(handles.textPredII,'String','Specie II');

axes(handles.axes1);
if handles.numFlag==2
    x=linspace(20,4000,100); 
    y=linspace(50,500,100);
    [X Y]=meshgrid(x,y);
    cnst=a*log(y0)-b*y0+p*log(x0)-q*x0;
    Z=a*log(Y)-b*Y-p*log(X)+q*X-cnst;
    
    if handles.styleFlag==1   
        [C,h]=contourf(handles.axes1,X,Y,Z,8,'LineWidth',1);
    else 
        [C,h]=contour(handles.axes1,X,Y,Z,8,'LineWidth',1);
    end;
    clabel(C,h);
else 
    [t,y1]=ode45(@solve2ODEsCompetition,[0.1 2],[handles.spcI handles.spcII],[],a,b,p,q);
    plot(handles.axes1,y1(:,1),y1(:,2),'LineWidth',1.5);    
end
    title(handles.axes1,'Specie-I vs Speci-II','FontSize',12,'Color','b');
    xlabel(handles.axes1,'Specie-I','Color','r','FontWeight','bold','FontSize',10);
    ylabel(handles.axes1,'Specie-II','Color','r','FontWeight','bold','FontSize',10);
    set(gca,'Color','w');

function edit_b_Callback(hObject, eventdata, handles)
% hObject    handle to edit_b (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_b as text
%        str2double(get(hObject,'String')) returns contents of edit_b as a
%        double

handles.b=str2double(get(hObject,'String'));
guidata(hObject,handles);

% --- Executes during object creation, after setting all properties.
function edit_b_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_b (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when selected object is changed in uipanel2.
function uipanel2_SelectionChangeFcn(hObject, eventdata, handles)
% hObject    handle to the selected object in uipanel2 
% eventdata  structure with the following fields (see UIBUTTONGROUP)
%	EventName: string 'SelectionChanged' (read only)
%	OldValue: handle of the previously selected object or empty if none was selected
%	NewValue: handle of the currently selected object
% handles    structure with handles and user data (see GUIDATA)

switch get(eventdata.NewValue,'Tag');
    case 'preyPredatorModelRadio'
        set(handles.textmodel,'string','Prey-Predator Model');
        handles.modelFlag=1;
        set(handles.textPreyI,'String','Prey');
        set(handles.textPredII,'String','Predator');
        set(handles.editI,'String',int2str(handles.prey));
        set(handles.editII,'String',int2str(handles.pred));
        guidata(hObject,handles);
    case 'competitionModelRadio'
        set(handles.textmodel,'string','Competition Model');
        handles.modelFlag=2;
        set(handles.textPreyI,'String','Specie-I');
        set(handles.textPredII,'String','Specie-II');
        set(handles.editI,'String',int2str(handles.spcI));
        set(handles.editII,'String',int2str(handles.spcII));
        set(handles.editminprey,'enable','off');
        set(handles.editmaxprey,'enable','off');
        set(handles.editminpred,'enable','off');
        set(handles.editmaxpred,'enable','off');
        guidata(hObject,handles);       
end


% --- Executes when selected object is changed in uipanel4.
function uipanel4_SelectionChangeFcn(hObject, eventdata, handles)
% hObject    handle to the selected object in uipanel4 
% eventdata  structure with the following fields (see UIBUTTONGROUP)
%	EventName: string 'SelectionChanged' (read only)
%	OldValue: handle of the previously selected object or empty if none was selected
%	NewValue: handle of the currently selected object
% handles    structure with handles and user data (see GUIDATA)
switch get(eventdata.NewValue,'Tag');
    case 'filledRadio'
        handles.styleFlag=1;
        guidata(hObject,handles);
    case 'unfilledRadio'
        handles.styleFlag=2;
        guidata(hObject,handles);
end


function editI_Callback(hObject, eventdata, handles)
% hObject    handle to editI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editI as text
%        str2double(get(hObject,'String')) returns contents of editI as a double
if handles.modelFlag==1
    handles.prey=str2double(get(hObject,'String'));
    guidata(hObject,handles);
elseif handles.modelFlag==2
    handles.spcI=str2double(get(hObject,'String'));
    guidata(hObject,handles);
end

% --- Executes during object creation, after setting all properties.
function editI_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function editII_Callback(hObject, eventdata, handles)
% hObject    handle to editII (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editII as text
%        str2double(get(hObject,'String')) returns contents of editII as a double
if handles.modelFlag==1
    handles.pred=str2double(get(hObject,'String'));
    guidata(hObject,handles);
elseif handles.modelFlag==2
    handles.spcII=str2double(get(hObject,'String'));
    guidata(hObject,handles);
end

% --- Executes during object creation, after setting all properties.
function editII_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editII (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit_q_Callback(hObject, eventdata, handles)
% hObject    handle to edit_q (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_q as text
%        str2double(get(hObject,'String')) returns contents of edit_q as a double
handles.q=str2double(get(hObject,'String'));
guidata(hObject,handles);

% --- Executes during object creation, after setting all properties.
function edit_q_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_q (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit_a_Callback(hObject, eventdata, handles)
% hObject    handle to edit_a (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_a as text
%        str2double(get(hObject,'String')) returns contents of edit_a as a double
handles.a=str2double(get(hObject,'String'));
guidata(hObject,handles);
% --- Executes during object creation, after setting all properties.

function edit_a_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_a (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit_p_Callback(hObject, eventdata, handles)
% hObject    handle to edit_b (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_b as text
%        str2double(get(hObject,'String')) returns contents of edit_b as a double
handles.p=str2double(get(hObject,'String'));
guidata(hObject,handles);

% --- Executes during object creation, after setting all properties.
function edit_p_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_b (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on mouse press over figure background, over a disabled or
% --- inactive control, or over an axes background.
function figure1_WindowButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes when selected object is changed in uipanel8.
function uipanel8_SelectionChangeFcn(hObject, eventdata, handles)
% hObject    handle to the selected object in uipanel8 
% eventdata  structure with the following fields (see UIBUTTONGROUP)
%	EventName: string 'SelectionChanged' (read only)
%	OldValue: handle of the previously selected object or empty if none was selected
%	NewValue: handle of the currently selected object
% handles    structure with handles and user data (see GUIDATA)
switch get(eventdata.NewValue,'Tag');
    case 'singleradio'
        if handles.modelFlag==1
            set(handles.editminprey,'enable','on');
            set(handles.editmaxprey,'enable','on');
            set(handles.editminpred,'enable','on');
            set(handles.editmaxpred,'enable','on');
        end;
        set(handles.filledRadio,'enable','off');
        set(handles.filledRadio,'enable','off');
        handles.numFlag=1;
        
        guidata(hObject,handles);
    case 'multipleradio'
        
        set(handles.editminprey,'enable','off');
        set(handles.editmaxprey,'enable','off');
        set(handles.editminpred,'enable','off');
        set(handles.editmaxpred,'enable','off');
        handles.numFlag=2;
        set(handles.filledRadio,'enable','on');
        set(handles.unfilledRadio,'enable','on');
        guidata(hObject,handles);
end


% --- Executes during object creation, after setting all properties.
function textmodel_CreateFcn(hObject, eventdata, handles)
% hObject    handle to textmodel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function axes2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes2


% --- Executes during object creation, after setting all properties.
function axes1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes1



function editmaxpred_Callback(hObject, eventdata, handles)
% hObject    handle to editmaxpred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editmaxpred as text
%        str2double(get(hObject,'String')) returns contents of editmaxpred as a double


% --- Executes during object creation, after setting all properties.
function editmaxpred_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editmaxpred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editminpred_Callback(hObject, eventdata, handles)
% hObject    handle to editminpred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editminpred as text
%        str2double(get(hObject,'String')) returns contents of editminpred as a double


% --- Executes during object creation, after setting all properties.
function editminpred_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editminpred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editmaxprey_Callback(hObject, eventdata, handles)
% hObject    handle to editmaxprey (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editmaxprey as text
%        str2double(get(hObject,'String')) returns contents of editmaxprey as a double


% --- Executes during object creation, after setting all properties.
function editmaxprey_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editmaxprey (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editminprey_Callback(hObject, eventdata, handles)
% hObject    handle to editminprey (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editminprey as text
%        str2double(get(hObject,'String')) returns contents of editminprey as a double


% --- Executes during object creation, after setting all properties.
function editminprey_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editminprey (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
